Olá Convidado!

Desde já, Seja muito bem-vindo ao Fórum netCAD 3D!!

Você necessita de se cadastrar ou logar-se, para poder contar com toda a disponibilidade do nosso Staff e conteúdos do fórum.

Curso Rápido On-line

Blogue netCAD 3D

netCAD 3D

beruby.com, o portal onde podes poupar!
Últimos assuntos
» Break Lines - Superfícies
Qui Set 25 2014, 12:38 por H.Colombo

» Ganha em Junho 4 cents por referido Publipt
Sex Jun 06 2014, 09:50 por Jorge Antunes

» IKinema WebAnimate para animação 2D
Ter Out 22 2013, 10:11 por Jorge Antunes

» Corredor Urbano
Ter Out 22 2013, 09:22 por bmvp

» Corte_Aterro Civil 3d
Ter Out 08 2013, 11:49 por a|pinho

» Como quebrar várias linhas em interseções?
Seg Set 09 2013, 21:10 por def

» Versão Lite do Maya lançada pela Autodesk
Sex Ago 30 2013, 11:33 por Jorge Antunes

» MOI 3D - Moment of Inspiration
Qua Ago 21 2013, 15:49 por Jorge Antunes

» Autodesk AutoCAD 360
Qui Maio 30 2013, 14:50 por Jorge Antunes

» Já está ai o novo AutoCAD 2014
Qua Mar 27 2013, 22:50 por Jorge Antunes

Buscar
 
 

Resultados por:
 


Rechercher Busca avançada

Visitas

Ajuda no autocad 2010

Ir em baixo

Ajuda no autocad 2010

Mensagem  RCALL em Ter Abr 28 2009, 01:14

Necessito de ajuda no autocad 2010. Involutariamente posso ter acionado um comando que desabilitou a caixa de dialogo, ou seja, quando uso "save as " ou qualquer outra função como "open", "export" não mostra a caixa de dialogo mas sim uma linha com os parametros que devo seguir . Alguém sabe como eu posso acionar a caixa de dialogo.

RCALL
Novato

Número de Mensagens : 1
Idade : 45
Data de inscrição : 28/04/2009

Voltar ao Topo Ir em baixo

Re: Ajuda no autocad 2010

Mensagem  Jorge Antunes em Qui Maio 14 2009, 21:52

RCALL escreveu:Necessito de ajuda no autocad 2010. Involutariamente posso ter acionado um comando que desabilitou a caixa de dialogo, ou seja, quando uso "save as " ou qualquer outra função como "open", "export" não mostra a caixa de dialogo mas sim uma linha com os parametros que devo seguir . Alguém sabe como eu posso acionar a caixa de dialogo.

Desculpe o atraso mas a solução é na linha de comando digitar FILEDIA e substituir 0 por 1 e pronto já aparecem as caixas de dialogo
Jorge Antunes
Jorge Antunes
Administrador

Número de Mensagens : 669
Idade : 45
Localização : Fig. da Foz
Data de inscrição : 05/09/2008

http://netcad3d.wordpress.com/

Voltar ao Topo Ir em baixo

impressão de layers

Mensagem  pboia em Ter Maio 18 2010, 15:05

gostaria de saber se ha alguma maneira de imprimir as layers que estão em uso no desenho, para saber o nome da layer, espessura, tipo de linha... ter uma descrição das layers sem ter de consultar o layer propertie manager

pboia
Novato

Número de Mensagens : 1
Idade : 44
Localização : Figueira da foz
Data de inscrição : 29/04/2010

Voltar ao Topo Ir em baixo

re

Mensagem  a|pinho em Qua Maio 19 2010, 10:03

Ola colegas

è isso Jorge!!! só ainda n percebi é uma coisa pq é q isso se desliga sem pedirmos...

pboia,
esta questao nao é neste topico, mas adiante...se activar o Match Properties (MO) pode ver sempre em tempo real quais as propriedades de cada objecto e re-configurar

_________________
O Sol é belo
[Você precisa estar registrado e conectado para ver este link.]
A|Pinho
a|pinho
a|pinho
Administrador

Número de Mensagens : 504
Idade : 40
Localização : Anadia
Data de inscrição : 12/06/2009

http://www.albertopinho.blogspot.com

Voltar ao Topo Ir em baixo

Re: Ajuda no autocad 2010

Mensagem  def em Qua Maio 19 2010, 11:20

Existe uma rotina de lisp que retira os nomes dos layers para um ficheiro.

Eu tenho esse lisp, mas não sei como o colocar disponível aqui; se quiseres envia-me um mail que mando por mail (decio_ferreira@hotmail.com)


Já agora, e só por curiosidade; sabem que se resonderem à linha de comandos o ~, faz com que a caixa de diálogo apareça?


Última edição por def em Qua Maio 19 2010, 11:31, editado 1 vez(es)
def
def
Moderador

Número de Mensagens : 649
Idade : 43
Localização : Coimbra
Data de inscrição : 13/06/2009

http://revit-pt.blogspot.com/

Voltar ao Topo Ir em baixo

Re: Ajuda no autocad 2010

Mensagem  def em Qua Maio 19 2010, 11:30

a|pinho escreveu:Ola colegas

esta questao nao é neste topico, mas adiante...se activar o Match Properties (MO) pode ver sempre em tempo real quais as propriedades de cada objecto e re-configurar

Activar o Match Properties?
O March properties, como o próprio nome indica, é fazer coincidir as propriedades de um objecto com outro. Isto é, é o Pincel Smile O atalho não é MO, mas sim MA. Se calhar o que querias dizer era o quadro das propriedades (MO; Ctrl+1; CH; entre outros)
def
def
Moderador

Número de Mensagens : 649
Idade : 43
Localização : Coimbra
Data de inscrição : 13/06/2009

http://revit-pt.blogspot.com/

Voltar ao Topo Ir em baixo

Re: Ajuda no autocad 2010

Mensagem  jorgeanjos em Qua Maio 19 2010, 12:46

pboia escreveu:gostaria de saber se ha alguma maneira de imprimir as layers que estão em uso no desenho, para saber o nome da layer, espessura, tipo de linha... ter uma descrição das layers sem ter de consultar o layer propertie manager

Com Lisps a tarefa é sempre mais fácil mas também podemos contornar a questão sem recurso a aplicações.

Utilizando o comando Layer sem a caixa de diálogo podemos fazer uma lista simples dos layers que estão no desenho.

Se digitarmos -layer na linha de comandos o AutoCAD irá pedir para entrarmos com uma opção. Se digitarmos o símbolo ? e respondermos com Enter ou digitando * será apresentada uma lista de todos os Layers. Como isto fica registado no Autocad Text Window (F2) basta seleccionar o texto que pretendemos, copiar para um outro ficheiro e imprimi-lo ou editá-lo ao nosso gosto.

jorgeanjos
Membro

Número de Mensagens : 132
Idade : 57
Localização : Tomar
Data de inscrição : 09/07/2009

Voltar ao Topo Ir em baixo

re

Mensagem  a|pinho em Qua Maio 19 2010, 14:18

oh !!
enganei-me!!

é apenas o properties, sei q escrevi mal e esqueci-me de corrigir...lol

as pressas é o q dá..

_________________
O Sol é belo
[Você precisa estar registrado e conectado para ver este link.]
A|Pinho
a|pinho
a|pinho
Administrador

Número de Mensagens : 504
Idade : 40
Localização : Anadia
Data de inscrição : 12/06/2009

http://www.albertopinho.blogspot.com

Voltar ao Topo Ir em baixo

Re: Ajuda no autocad 2010

Mensagem  Jorge Antunes em Qua Maio 19 2010, 14:23

jorgeanjos escreveu:Utilizando o comando Layer sem a caixa de diálogo podemos fazer uma lista simples dos layers que estão no desenho.
Se digitarmos -layer na linha de comandos o AutoCAD irá pedir para entrarmos com uma opção. Se digitarmos o símbolo ? e respondermos com Enter ou digitando * será apresentada uma lista de todos os Layers. Como isto fica registado no Autocad Text Window (F2) basta seleccionar o texto que pretendemos, copiar para um outro ficheiro e imprimi-lo ou editá-lo ao nosso gosto.

Eis uma resposta de um verdadeiro Cadista, isto é o que se fazia na versão 12 (que foi onde comecei)

Sim como o resto do pessoal já respondeu o método usual é usar funções lisp para aligeirar alguns trabalhos ou funções que se queira fazer.

_________________

__________________________________________________________________________________________________________
Jorge Antunes
Jorge Antunes
Administrador

Número de Mensagens : 669
Idade : 45
Localização : Fig. da Foz
Data de inscrição : 05/09/2008

http://netcad3d.wordpress.com/

Voltar ao Topo Ir em baixo

Re: Ajuda no autocad 2010

Mensagem  Jorge Antunes em Qua Maio 19 2010, 14:33

def escreveu:Existe uma rotina de lisp que retira os nomes dos layers para um ficheiro.

Eu tenho esse lisp, mas não sei como o colocar disponível aqui; se quiseres envia-me um mail que mando por mail.
Já agora, e só por curiosidade; sabem que se resonderem à linha de comandos o ~, faz com que a caixa de diálogo apareça?

Para ajudar aqui o def segue a lisp (tentem evitar colocar o vosso email no fórum por segurança)
Spoiler:
;;; Layer list
;;;
;;; By Jimmy Bergmark
;;; Copyright (C) 1997-2006 JTB World, All Rights Reserved
;;; Website: [Você precisa estar registrado e conectado para ver este link.]
;;; E-mail: [Você precisa estar registrado e conectado para ver este link.]
;;; 2000-03-15
;;;
;;; c:llfp
;;; Save the layer list to a file, (can be imported to Excel)
;;;
;;; Example: (ax:layer-list)
;;; Return values: list of layers and all layerstates
;;; (
;;; )
(defun ax:layer-list (/ lst layer colors color lw)
(setq colors '("Red" "Yellow" "Green" "Cyan" "Blue" "Magenta" "White"))
(vlax-for layer (vla-get-Layers
(vla-get-ActiveDocument
(vlax-get-acad-object)
)
)
(setq color (vla-get-color layer))
(if (< color Cool (setq color (nth (1- color) colors)) (setq color (itoa color)))
(setq lw (vla-get-lineweight layer))
(if (= lw -3) (setq lw "Default") (setq lw (rtos (/ lw 100.0) 2 2)))
(setq lst (cons
(list
(vla-get-name layer)
(if (= (vla-get-layeron layer) :vlax-true) "On" "Off")
(if (= (vla-get-freeze layer) :vlax-true) "Frozen" "Thawed")
(if (= (vla-get-lock layer) :vlax-true) "Locked" "Not locked")
color
(vla-get-linetype layer)
lw
(vla-get-plotstylename layer)
(if (= (vla-get-plottable layer) :vlax-true) "Plottable" "Not plottable")
(if (= (vla-get-viewportdefault layer) :vlax-true) "Frozen" "Not frozen")
) lst))
)
(vl-sort lst
(function (lambda (e1 e2)
(< (strcase (car e1)) (strcase (car e2)))
)
)
)
)

;;; Writes layer list to specified file
;;; (layer-list-fprint "test.txt")
;;; return: T if file was created, else nil
(defun layer-list-fprint (fn / f row col)
(if (setq f (open fn "w"))
(progn
; print header
(princ "\"Layer Name\" \"On\" \"Frozen\" \"Locked\" " f)
(princ "\"Color\" \"Linetype\" \"Lineweight\" \"Plotstylename\" " f)
(princ "\"Plottable\" \"Viewportdefault\"\n" f)
(foreach row (ax:layer-list)
(foreach col row
(prin1 col f)
(princ " " f) ; for tabulated (princ "\t" f)
)
(princ "\n" f)
)
(close f)
T
)
nil
)
)

(defun c:llfp (/ fn)
(if (setq fn
(getfiled "Save layer list as"
(strcat (vl-filename-base (getvar "dwgname")) ".txt")
"txt"
1
)
)
(if (layer-list-fprint fn)
(princ "\nLayer list created.")
(princ "\nError: Layer list not created!")
)
)
(princ)
)
depois é só seleccionar e copiar o codigo e salvar no Bloco de Notas com a extensão LSP (Nome.lsp)

Já agora def não entendi a utilização do ~ na linha de comandos Question

_________________

__________________________________________________________________________________________________________
Jorge Antunes
Jorge Antunes
Administrador

Número de Mensagens : 669
Idade : 45
Localização : Fig. da Foz
Data de inscrição : 05/09/2008

http://netcad3d.wordpress.com/

Voltar ao Topo Ir em baixo

Re: Ajuda no autocad 2010

Mensagem  def em Qui Maio 20 2010, 10:20

[quote="Jorge Antunes"]
def escreveu:Existe uma rotina de lisp que retira os nomes dos layers para um ficheiro.

Já agora def não entendi a utilização do ~ na linha de comandos Question

É simples; quando o FILEDIA está a 0 (ou seja, sem a caixa de diálogo), se quando o AutoCad começa a listar as opções, podes responder com o til (~) e o AutoCad abre a caixa de diálogo
def
def
Moderador

Número de Mensagens : 649
Idade : 43
Localização : Coimbra
Data de inscrição : 13/06/2009

http://revit-pt.blogspot.com/

Voltar ao Topo Ir em baixo

Re: Ajuda no autocad 2010

Mensagem  def em Qui Maio 20 2010, 10:21

Do mail, don´t wory... está tudo sobre controlo Wink
def
def
Moderador

Número de Mensagens : 649
Idade : 43
Localização : Coimbra
Data de inscrição : 13/06/2009

http://revit-pt.blogspot.com/

Voltar ao Topo Ir em baixo

Re: Ajuda no autocad 2010

Mensagem  Conteúdo patrocinado


Conteúdo patrocinado


Voltar ao Topo Ir em baixo

Voltar ao Topo

- Tópicos similares

 
Permissão deste fórum:
Você não pode responder aos tópicos neste fórum